Export Traffic Csv
curl --request POST \
--url https://api.example.com/cabinet/admin/traffic/export-csv \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"period": 30,
"start_date": "<string>",
"end_date": "<string>",
"tariffs": "<string>",
"statuses": "<string>",
"nodes": "<string>",
"total_threshold_gb": 1,
"node_threshold_gb": 1
}
'import requests
url = "https://api.example.com/cabinet/admin/traffic/export-csv"
payload = {
"period": 30,
"start_date": "<string>",
"end_date": "<string>",
"tariffs": "<string>",
"statuses": "<string>",
"nodes": "<string>",
"total_threshold_gb": 1,
"node_threshold_gb": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: 30,
start_date: '<string>',
end_date: '<string>',
tariffs: '<string>',
statuses: '<string>',
nodes: '<string>',
total_threshold_gb: 1,
node_threshold_gb: 1
})
};
fetch('https://api.example.com/cabinet/admin/traffic/export-csv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Traffic
Export Traffic Csv
Generate CSV with traffic usage and send to admin’s Telegram DM.
POST
/
cabinet
/
admin
/
traffic
/
export-csv
Export Traffic Csv
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required range:
1 <= x <= 30Total GB/day threshold for risk column
Required range:
x >= 0Per-node GB/day threshold for risk column
Required range:
x >= 0⌘I
